Index: Makefile
===================================================================
--- Makefile	(revision 370976)
+++ Makefile	(working copy)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	python34
-PORTVERSION=	3.4.1
-PORTREVISION=	5
+PORTVERSION=	3.4.2
 CATEGORIES=	lang python ipv6
 MASTER_SITES=	PYTHON
 MASTER_SITE_SUBDIR=	ftp/python/${PORTVERSION}
Index: distinfo
===================================================================
--- distinfo	(revision 370976)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (python/Python-3.4.1.tar.xz) = c595a163104399041fcbe1c5c04db4c1da94f917b82ce89e8944c8edff7aedc4
-SIZE (python/Python-3.4.1.tar.xz) = 14125788
+SHA256 (python/Python-3.4.2.tar.xz) = 1c6d9682d145c056537e477bbfa060ce727f9edd38df1827e0f970dcf04b2def
+SIZE (python/Python-3.4.2.tar.xz) = 14223804
Index: files/patch-Makefile.pre.in
===================================================================
--- files/patch-Makefile.pre.in	(revision 370976)
+++ files/patch-Makefile.pre.in	(working copy)
@@ -1,18 +1,14 @@
-# Description: Remove duplicate CFLAGS, CPPFLAGS, LDFLAGS by stripping CONFIGURE_*
-# Submitted by: koobs (r326729)
-# TODO: Upstream
-
-# Description: Create symlinks for non-ABI-suffixed python*-config and ABI-suffixed python-*.pc
-# Submitted by: antoine@ (r358029)
-# TODO: Upstream
-
---- ./Makefile.pre.in.orig	2014-05-19 05:19:39.000000000 +0000
-+++ ./Makefile.pre.in	2014-06-15 12:12:17.000000000 +0000
-@@ -70,18 +70,15 @@
+--- Makefile.pre.in.orig	2014-10-08 12:18:14.000000000 +0400
++++ Makefile.pre.in	2014-10-19 12:37:14.000000000 +0400
+@@ -70,23 +70,20 @@
  OPT=		@OPT@
  BASECFLAGS=	@BASECFLAGS@
  BASECPPFLAGS=	@BASECPPFLAGS@
 -CONFIGURE_CFLAGS=	@CFLAGS@
+ # CFLAGS_NODIST is used for building the interpreter and stdlib C extensions.
+ # Use it when a compiler flag should _not_ be part of the distutils CFLAGS
+ # once Python is installed (Issue #21121).
+ CONFIGURE_CFLAGS_NODIST=@CFLAGS_NODIST@
 -CONFIGURE_CPPFLAGS=	@CPPFLAGS@
 -CONFIGURE_LDFLAGS=	@LDFLAGS@
  # Avoid assigning CFLAGS, LDFLAGS, etc. so users can use them on the
@@ -20,6 +16,7 @@
  # values.
 -PY_CFLAGS=	$(BASECFLAGS) $(OPT) $(CONFIGURE_CFLAGS) $(CFLAGS) $(EXTRA_CFLAGS)
 +PY_CFLAGS=	$(BASECFLAGS) $(OPT) $(CFLAGS) $(EXTRA_CFLAGS)
+ PY_CFLAGS_NODIST=$(CONFIGURE_CFLAGS_NODIST) $(CFLAGS_NODIST)
  # Both CPPFLAGS and LDFLAGS need to contain the shell's value for setup.py to
  # be able to build extension modules using the directories specified in the
  # environment variables
@@ -30,7 +27,7 @@
  NO_AS_NEEDED=	@NO_AS_NEEDED@
  LDLAST=		@LDLAST@
  SGI_ABI=	@SGI_ABI@
-@@ -1065,12 +1062,6 @@
+@@ -1080,12 +1077,6 @@
  	else true; \
  	fi
  	(cd $(DESTDIR)$(BINDIR); $(LN) -s python$(VERSION)$(EXE) python3$(EXE))
@@ -43,7 +40,7 @@
  	-rm -f $(DESTDIR)$(BINDIR)/python3-config
  	(cd $(DESTDIR)$(BINDIR); $(LN) -s python$(VERSION)-config python3-config)
  	-rm -f $(DESTDIR)$(LIBPC)/python3.pc
-@@ -1333,6 +1324,12 @@
+@@ -1348,6 +1339,12 @@
  	$(INSTALL_SCRIPT) $(srcdir)/install-sh $(DESTDIR)$(LIBPL)/install-sh
  	$(INSTALL_SCRIPT) python-config.py $(DESTDIR)$(LIBPL)/python-config.py
  	$(INSTALL_SCRIPT) python-config $(DESTDIR)$(BINDIR)/python$(LDVERSION)-config
Index: files/patch-Modules-_ctypes-libffi-configure
===================================================================
--- files/patch-Modules-_ctypes-libffi-configure	(revision 370976)
+++ files/patch-Modules-_ctypes-libffi-configure	(working copy)
@@ -1,11 +1,11 @@
---- ./Modules/_ctypes/libffi/configure.orig	2013-05-15 20:32:57.000000000 +0400
-+++ ./Modules/_ctypes/libffi/configure	2013-05-18 10:56:03.000000000 +0400
-@@ -6889,7 +6889,7 @@
+--- Modules/_ctypes/libffi/configure.orig	2014-10-08 12:18:14.000000000 +0400
++++ Modules/_ctypes/libffi/configure	2014-10-19 12:39:11.000000000 +0400
+@@ -7526,7 +7526,7 @@
    rm -rf conftest*
    ;;
  
--x86_64-*kfreebsd*-gnu|x86_64-*linux*|ppc*-*linux*|powerpc*-*linux*| \
-+amd64-*-freebsd*|x86_64-*kfreebsd*-gnu|x86_64-*linux*|ppc*-*linux*|powerpc*-*linux*| \
+-x86_64-*kfreebsd*-gnu|x86_64-*linux*|powerpc*-*linux*| \
++amd64-*-freebsd*|x86_64-*kfreebsd*-gnu|x86_64-*linux*|powerpc*-*linux*| \
  s390*-*linux*|s390*-*tpf*|sparc*-*linux*)
-   # Find out which ABI we are using.
-   echo 'int i;' > conftest.$ac_ext
+   # Find out what ABI is being produced by ac_compile, and set linker
+   # options accordingly.  Note that the listed cases only cover the
Index: files/patch-issue21166
===================================================================
--- files/patch-issue21166	(revision 370976)
+++ files/patch-issue21166	(working copy)
@@ -1,74 +0,0 @@
-# HG changeset patch
-# User Ned Deily <nad@acm.org>
-# Date 1408739569 25200
-# Node ID e52d85f2e2846453dd0503613d28cf6967f113d7
-# Parent  d99014320220951707f79d114ae33f8c5a372a87
-Issue #21166: Prevent possible segfaults and other random failures of
-python --generate-posix-vars in pybuilddir.txt build target by ensuring
-that pybuilddir.txt is always regenerated when configure is run and
-that the newly built skeleton python does not inadvertently import
-modules from previously installed instances.
-
-diff --git a/Makefile.pre.in b/Makefile.pre.in
---- Makefile.pre.in
-+++ Makefile.pre.in
-@@ -546,8 +546,18 @@ platform: $(BUILDPYTHON) pybuilddir.txt
- # Create build directory and generate the sysconfig build-time data there.
- # pybuilddir.txt contains the name of the build dir and is used for
- # sys.path fixup -- see Modules/getpath.c.
-+# Since this step runs before shared modules are built, try to avoid bootstrap
-+# problems by creating a dummy pybuildstr.txt just to allow interpreter
-+# initialization to succeed.  It will be overwritten by generate-posix-vars
-+# or removed in case of failure.
- pybuilddir.txt: $(BUILDPYTHON)
--	$(RUNSHARED) $(PYTHON_FOR_BUILD) -S -m sysconfig --generate-posix-vars
-+	@echo "none" > ./pybuilddir.txt
-+	$(RUNSHARED) $(PYTHON_FOR_BUILD) -S -m sysconfig --generate-posix-vars ;\
-+	if test $$? -ne 0 ; then \
-+		echo "generate-posix-vars failed" ; \
-+		rm -f ./pybuilddir.txt ; \
-+		exit 1 ; \
-+	fi
- 
- # Build the shared modules
- # Under GNU make, MAKEFLAGS are sorted and normalized; the 's' for
-diff --git a/Misc/NEWS b/Misc/NEWS
---- Misc/NEWS
-+++ Misc/NEWS
-@@ -242,6 +242,9 @@ Build
- 
- - Issue #21811: Anticipated fixes to support OS X versions > 10.9.
- 
-+- Issue #21166: Prevent possible segfaults and other random failures of
-+  python --generate-posix-vars in pybuilddir.txt build target.
-+
- IDLE
- ----
- 
-diff --git a/configure b/configure
---- configure
-+++ configure
-@@ -2950,6 +2950,9 @@ case $host_os in *\ *) host_os=`echo "$h
- 
- 
- 
-+# pybuilddir.txt will be created by --generate-posix-vars in the Makefile
-+rm -f pybuilddir.txt
-+
- if test "$cross_compiling" = yes; then
-     { $as_echo "$as_me:${as_lineno-$LINENO}: checking for python interpreter for cross build" >&5
- $as_echo_n "checking for python interpreter for cross build... " >&6; }
-diff --git a/configure.ac b/configure.ac
---- configure.ac
-+++ configure.ac
-@@ -53,6 +53,9 @@ AC_CANONICAL_HOST
- AC_SUBST(build)
- AC_SUBST(host)
- 
-+# pybuilddir.txt will be created by --generate-posix-vars in the Makefile
-+rm -f pybuilddir.txt
-+
- if test "$cross_compiling" = yes; then
-     AC_MSG_CHECKING([for python interpreter for cross build])
-     if test -z "$PYTHON_FOR_BUILD"; then
-
Index: files/patch-issue21704
===================================================================
--- files/patch-issue21704	(revision 370976)
+++ files/patch-issue21704	(working copy)
@@ -1,22 +0,0 @@
-# HG changeset patch
-# User Richard Oudkerk <shibturn@gmail.com>
-# Date 1406584862 -3600
-# Node ID f618f673920043e31d8dee20b35c3e6f3e271178
-# Parent  a1e01081e731a1214793cd4b5b4fc89fe6202357
-Issue #21704: Fix build error for _multiprocessing when semaphores
-are not available.  Patch by Arfrever Frehtes Taifersar Arahesis.
-
-diff --git a/Modules/_multiprocessing/multiprocessing.c b/Modules/_multiprocessing/multiprocessing.c
---- Modules/_multiprocessing/multiprocessing.c
-+++ Modules/_multiprocessing/multiprocessing.c
-@@ -128,7 +128,9 @@ static PyMethodDef module_methods[] = {
-     {"recv", multiprocessing_recv, METH_VARARGS, ""},
-     {"send", multiprocessing_send, METH_VARARGS, ""},
- #endif
-+#ifndef POSIX_SEMAPHORES_NOT_ENABLED
-     {"sem_unlink", _PyMp_sem_unlink, METH_VARARGS, ""},
-+#endif
-     {NULL}
- };
- 
-
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 370976)
+++ pkg-plist	(working copy)
@@ -460,6 +460,8 @@
 lib/python3.4/asyncio/__pycache__/base_subprocess.cpython-34.pyo
 lib/python3.4/asyncio/__pycache__/constants.cpython-34.pyc
 lib/python3.4/asyncio/__pycache__/constants.cpython-34.pyo
+lib/python3.4/asyncio/__pycache__/coroutines.cpython-34.pyc
+lib/python3.4/asyncio/__pycache__/coroutines.cpython-34.pyo
 lib/python3.4/asyncio/__pycache__/events.cpython-34.pyc
 lib/python3.4/asyncio/__pycache__/events.cpython-34.pyo
 lib/python3.4/asyncio/__pycache__/futures.cpython-34.pyc
@@ -495,6 +497,7 @@
 lib/python3.4/asyncio/base_events.py
 lib/python3.4/asyncio/base_subprocess.py
 lib/python3.4/asyncio/constants.py
+lib/python3.4/asyncio/coroutines.py
 lib/python3.4/asyncio/events.py
 lib/python3.4/asyncio/futures.py
 lib/python3.4/asyncio/locks.py
@@ -595,10 +598,11 @@
 lib/python3.4/ctypes/macholib/fetch_macholib.bat
 lib/python3.4/ctypes/macholib/framework.py
 lib/python3.4/ctypes/test/__init__.py
+lib/python3.4/ctypes/test/__main__.py
 lib/python3.4/ctypes/test/__pycache__/__init__.cpython-34.pyc
 lib/python3.4/ctypes/test/__pycache__/__init__.cpython-34.pyo
-lib/python3.4/ctypes/test/__pycache__/runtests.cpython-34.pyc
-lib/python3.4/ctypes/test/__pycache__/runtests.cpython-34.pyo
+lib/python3.4/ctypes/test/__pycache__/__main__.cpython-34.pyc
+lib/python3.4/ctypes/test/__pycache__/__main__.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_anon.cpython-34.pyc
 lib/python3.4/ctypes/test/__pycache__/test_anon.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_array_in_pointer.cpython-34.pyc
@@ -625,8 +629,6 @@
 lib/python3.4/ctypes/test/__pycache__/test_checkretval.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_delattr.cpython-34.pyc
 lib/python3.4/ctypes/test/__pycache__/test_delattr.cpython-34.pyo
-lib/python3.4/ctypes/test/__pycache__/test_errcheck.cpython-34.pyc
-lib/python3.4/ctypes/test/__pycache__/test_errcheck.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_errno.cpython-34.pyc
 lib/python3.4/ctypes/test/__pycache__/test_errno.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_find.cpython-34.pyc
@@ -641,8 +643,6 @@
 lib/python3.4/ctypes/test/__pycache__/test_incomplete.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_init.cpython-34.pyc
 lib/python3.4/ctypes/test/__pycache__/test_init.cpython-34.pyo
-lib/python3.4/ctypes/test/__pycache__/test_integers.cpython-34.pyc
-lib/python3.4/ctypes/test/__pycache__/test_integers.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_internals.cpython-34.pyc
 lib/python3.4/ctypes/test/__pycache__/test_internals.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_keeprefs.cpython-34.pyc
@@ -705,7 +705,6 @@
 lib/python3.4/ctypes/test/__pycache__/test_win32.cpython-34.pyo
 lib/python3.4/ctypes/test/__pycache__/test_wintypes.cpython-34.pyc
 lib/python3.4/ctypes/test/__pycache__/test_wintypes.cpython-34.pyo
-lib/python3.4/ctypes/test/runtests.py
 lib/python3.4/ctypes/test/test_anon.py
 lib/python3.4/ctypes/test/test_array_in_pointer.py
 lib/python3.4/ctypes/test/test_arrays.py
@@ -719,7 +718,6 @@
 lib/python3.4/ctypes/test/test_cfuncs.py
 lib/python3.4/ctypes/test/test_checkretval.py
 lib/python3.4/ctypes/test/test_delattr.py
-lib/python3.4/ctypes/test/test_errcheck.py
 lib/python3.4/ctypes/test/test_errno.py
 lib/python3.4/ctypes/test/test_find.py
 lib/python3.4/ctypes/test/test_frombuffer.py
@@ -727,7 +725,6 @@
 lib/python3.4/ctypes/test/test_functions.py
 lib/python3.4/ctypes/test/test_incomplete.py
 lib/python3.4/ctypes/test/test_init.py
-lib/python3.4/ctypes/test/test_integers.py
 lib/python3.4/ctypes/test/test_internals.py
 lib/python3.4/ctypes/test/test_keeprefs.py
 lib/python3.4/ctypes/test/test_libc.py
@@ -1800,6 +1797,22 @@
 lib/python3.4/idlelib/idle_test/__pycache__/mock_idle.cpython-34.pyo
 lib/python3.4/idlelib/idle_test/__pycache__/mock_tk.cpython-34.pyc
 lib/python3.4/idlelib/idle_test/__pycache__/mock_tk.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/__pycache__/test_autocomplete.cpython-34.pyc
+lib/python3.4/idlelib/idle_test/__pycache__/test_autocomplete.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/__pycache__/test_autoexpand.cpython-34.pyc
+lib/python3.4/idlelib/idle_test/__pycache__/test_autoexpand.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/__pycache__/test_configdialog.cpython-34.pyc
+lib/python3.4/idlelib/idle_test/__pycache__/test_configdialog.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/__pycache__/test_hyperparser.cpython-34.pyc
+lib/python3.4/idlelib/idle_test/__pycache__/test_hyperparser.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/__pycache__/test_parenmatch.cpython-34.pyc
+lib/python3.4/idlelib/idle_test/__pycache__/test_parenmatch.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/__pycache__/test_searchdialogbase.cpython-34.pyc
+lib/python3.4/idlelib/idle_test/__pycache__/test_textview.cpython-34.pyc
+lib/python3.4/idlelib/idle_test/__pycache__/test_textview.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/__pycache__/test_widgetredir.cpython-34.pyc
+lib/python3.4/idlelib/idle_test/__pycache__/test_widgetredir.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/__pycache__/test_searchdialogbase.cpython-34.pyo
 lib/python3.4/idlelib/idle_test/__pycache__/test_calltips.cpython-34.pyc
 lib/python3.4/idlelib/idle_test/__pycache__/test_calltips.cpython-34.pyo
 lib/python3.4/idlelib/idle_test/__pycache__/test_config_name.cpython-34.pyc
@@ -1822,6 +1835,14 @@
 lib/python3.4/idlelib/idle_test/__pycache__/test_text.cpython-34.pyo
 lib/python3.4/idlelib/idle_test/__pycache__/test_warning.cpython-34.pyc
 lib/python3.4/idlelib/idle_test/__pycache__/test_warning.cpython-34.pyo
+lib/python3.4/idlelib/idle_test/test_autocomplete.py
+lib/python3.4/idlelib/idle_test/test_autoexpand.py
+lib/python3.4/idlelib/idle_test/test_configdialog.py
+lib/python3.4/idlelib/idle_test/test_hyperparser.py
+lib/python3.4/idlelib/idle_test/test_parenmatch.py
+lib/python3.4/idlelib/idle_test/test_searchdialogbase.py
+lib/python3.4/idlelib/idle_test/test_textview.py
+lib/python3.4/idlelib/idle_test/test_widgetredir.py
 lib/python3.4/idlelib/idle_test/htest.py
 lib/python3.4/idlelib/idle_test/mock_idle.py
 lib/python3.4/idlelib/idle_test/mock_tk.py
@@ -1942,9 +1963,9 @@
 %%NO_DEBUG%%lib/python3.4/lib-dynload/xxlimited.so
 lib/python3.4/lib-dynload/zlib.so
 lib/python3.4/lib2to3/Grammar.txt
-lib/python3.4/lib2to3/Grammar3.4.1.final.0.pickle
+lib/python3.4/lib2to3/Grammar3.4.2.final.0.pickle
 lib/python3.4/lib2to3/PatternGrammar.txt
-lib/python3.4/lib2to3/PatternGrammar3.4.1.final.0.pickle
+lib/python3.4/lib2to3/PatternGrammar3.4.2.final.0.pickle
 lib/python3.4/lib2to3/__init__.py
 lib/python3.4/lib2to3/__main__.py
 lib/python3.4/lib2to3/__pycache__/__init__.cpython-34.pyc
@@ -2504,6 +2525,8 @@
 lib/python3.4/test/__pycache__/seq_tests.cpython-34.pyo
 lib/python3.4/test/__pycache__/sortperf.cpython-34.pyc
 lib/python3.4/test/__pycache__/sortperf.cpython-34.pyo
+lib/python3.4/test/__pycache__/test_spwd.cpython-34.pyc
+lib/python3.4/test/__pycache__/test_spwd.cpython-34.pyo
 lib/python3.4/test/__pycache__/ssl_servers.cpython-34.pyc
 lib/python3.4/test/__pycache__/ssl_servers.cpython-34.pyo
 lib/python3.4/test/__pycache__/ssltests.cpython-34.pyc
@@ -3172,8 +3195,6 @@
 lib/python3.4/test/__pycache__/test_tk.cpython-34.pyo
 lib/python3.4/test/__pycache__/test_tokenize.cpython-34.pyc
 lib/python3.4/test/__pycache__/test_tokenize.cpython-34.pyo
-lib/python3.4/test/__pycache__/test_tools.cpython-34.pyc
-lib/python3.4/test/__pycache__/test_tools.cpython-34.pyo
 lib/python3.4/test/__pycache__/test_trace.cpython-34.pyc
 lib/python3.4/test/__pycache__/test_trace.cpython-34.pyo
 lib/python3.4/test/__pycache__/test_traceback.cpython-34.pyc
@@ -3982,8 +4003,11 @@
 lib/python3.4/test/test_importlib/__pycache__/util.cpython-34.pyo
 lib/python3.4/test/test_importlib/abc.py
 lib/python3.4/test/test_importlib/builtin/__init__.py
+lib/python3.4/test/test_importlib/builtin/__main__.py
 lib/python3.4/test/test_importlib/builtin/__pycache__/__init__.cpython-34.pyc
 lib/python3.4/test/test_importlib/builtin/__pycache__/__init__.cpython-34.pyo
+lib/python3.4/test/test_importlib/builtin/__pycache__/__main__.cpython-34.pyc
+lib/python3.4/test/test_importlib/builtin/__pycache__/__main__.cpython-34.pyo
 lib/python3.4/test/test_importlib/builtin/__pycache__/test_finder.cpython-34.pyc
 lib/python3.4/test/test_importlib/builtin/__pycache__/test_finder.cpython-34.pyo
 lib/python3.4/test/test_importlib/builtin/__pycache__/test_loader.cpython-34.pyc
@@ -3994,8 +4018,11 @@
 lib/python3.4/test/test_importlib/builtin/test_loader.py
 lib/python3.4/test/test_importlib/builtin/util.py
 lib/python3.4/test/test_importlib/extension/__init__.py
+lib/python3.4/test/test_importlib/extension/__main__.py
 lib/python3.4/test/test_importlib/extension/__pycache__/__init__.cpython-34.pyc
 lib/python3.4/test/test_importlib/extension/__pycache__/__init__.cpython-34.pyo
+lib/python3.4/test/test_importlib/extension/__pycache__/__main__.cpython-34.pyc
+lib/python3.4/test/test_importlib/extension/__pycache__/__main__.cpython-34.pyo
 lib/python3.4/test/test_importlib/extension/__pycache__/test_case_sensitivity.cpython-34.pyc
 lib/python3.4/test/test_importlib/extension/__pycache__/test_case_sensitivity.cpython-34.pyo
 lib/python3.4/test/test_importlib/extension/__pycache__/test_finder.cpython-34.pyc
@@ -4012,8 +4039,11 @@
 lib/python3.4/test/test_importlib/extension/test_path_hook.py
 lib/python3.4/test/test_importlib/extension/util.py
 lib/python3.4/test/test_importlib/frozen/__init__.py
+lib/python3.4/test/test_importlib/frozen/__main__.py
 lib/python3.4/test/test_importlib/frozen/__pycache__/__init__.cpython-34.pyc
 lib/python3.4/test/test_importlib/frozen/__pycache__/__init__.cpython-34.pyo
+lib/python3.4/test/test_importlib/frozen/__pycache__/__main__.cpython-34.pyc
+lib/python3.4/test/test_importlib/frozen/__pycache__/__main__.cpython-34.pyo
 lib/python3.4/test/test_importlib/frozen/__pycache__/test_finder.cpython-34.pyc
 lib/python3.4/test/test_importlib/frozen/__pycache__/test_finder.cpython-34.pyo
 lib/python3.4/test/test_importlib/frozen/__pycache__/test_loader.cpython-34.pyc
@@ -4021,8 +4051,11 @@
 lib/python3.4/test/test_importlib/frozen/test_finder.py
 lib/python3.4/test/test_importlib/frozen/test_loader.py
 lib/python3.4/test/test_importlib/import_/__init__.py
+lib/python3.4/test/test_importlib/import_/__main__.py
 lib/python3.4/test/test_importlib/import_/__pycache__/__init__.cpython-34.pyc
 lib/python3.4/test/test_importlib/import_/__pycache__/__init__.cpython-34.pyo
+lib/python3.4/test/test_importlib/import_/__pycache__/__main__.cpython-34.pyc
+lib/python3.4/test/test_importlib/import_/__pycache__/__main__.cpython-34.pyo
 lib/python3.4/test/test_importlib/import_/__pycache__/test___loader__.cpython-34.pyc
 lib/python3.4/test/test_importlib/import_/__pycache__/test___loader__.cpython-34.pyo
 lib/python3.4/test/test_importlib/import_/__pycache__/test___package__.cpython-34.pyc
@@ -4089,8 +4122,11 @@
 lib/python3.4/test/test_importlib/namespace_pkgs/top_level_portion1.zip
 lib/python3.4/test/test_importlib/regrtest.py
 lib/python3.4/test/test_importlib/source/__init__.py
+lib/python3.4/test/test_importlib/source/__main__.py
 lib/python3.4/test/test_importlib/source/__pycache__/__init__.cpython-34.pyc
 lib/python3.4/test/test_importlib/source/__pycache__/__init__.cpython-34.pyo
+lib/python3.4/test/test_importlib/source/__pycache__/__main__.cpython-34.pyc
+lib/python3.4/test/test_importlib/source/__pycache__/__main__.cpython-34.pyo
 lib/python3.4/test/test_importlib/source/__pycache__/test_case_sensitivity.cpython-34.pyc
 lib/python3.4/test/test_importlib/source/__pycache__/test_case_sensitivity.cpython-34.pyo
 lib/python3.4/test/test_importlib/source/__pycache__/test_file_loader.cpython-34.pyc
@@ -4304,6 +4340,7 @@
 lib/python3.4/test/test_socketserver.py
 lib/python3.4/test/test_sort.py
 lib/python3.4/test/test_source_encoding.py
+lib/python3.4/test/test_spwd.py
 lib/python3.4/test/test_sqlite.py
 lib/python3.4/test/test_ssl.py
 lib/python3.4/test/test_startfile.py
@@ -4346,7 +4383,6 @@
 lib/python3.4/test/test_timeout.py
 lib/python3.4/test/test_tk.py
 lib/python3.4/test/test_tokenize.py
-lib/python3.4/test/test_tools.py
 lib/python3.4/test/test_trace.py
 lib/python3.4/test/test_traceback.py
 lib/python3.4/test/test_tracemalloc.py
@@ -4490,6 +4526,8 @@
 lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_font.cpython-34.pyo
 lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_geometry_managers.cpython-34.pyc
 lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_geometry_managers.cpython-34.pyo
+lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_images.cpython-34.pyc
+lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_images.cpython-34.pyo
 lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_loadtk.cpython-34.pyc
 lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_loadtk.cpython-34.pyo
 lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_misc.cpython-34.pyc
@@ -4502,6 +4540,7 @@
 lib/python3.4/tkinter/test/test_tkinter/__pycache__/test_widgets.cpython-34.pyo
 lib/python3.4/tkinter/test/test_tkinter/test_font.py
 lib/python3.4/tkinter/test/test_tkinter/test_geometry_managers.py
+lib/python3.4/tkinter/test/test_tkinter/test_images.py
 lib/python3.4/tkinter/test/test_tkinter/test_loadtk.py
 lib/python3.4/tkinter/test/test_tkinter/test_misc.py
 lib/python3.4/tkinter/test/test_tkinter/test_text.py
@@ -4574,13 +4613,10 @@
 lib/python3.4/turtledemo/__pycache__/wikipedia.cpython-34.pyo
 lib/python3.4/turtledemo/__pycache__/yinyang.cpython-34.pyc
 lib/python3.4/turtledemo/__pycache__/yinyang.cpython-34.pyo
-lib/python3.4/turtledemo/about_turtle.txt
-lib/python3.4/turtledemo/about_turtledemo.txt
 lib/python3.4/turtledemo/bytedesign.py
 lib/python3.4/turtledemo/chaos.py
 lib/python3.4/turtledemo/clock.py
 lib/python3.4/turtledemo/colormixer.py
-lib/python3.4/turtledemo/demohelp.txt
 lib/python3.4/turtledemo/forest.py
 lib/python3.4/turtledemo/fractalcurves.py
 lib/python3.4/turtledemo/lindenmayer.py
